#
# Copyright (c) 2010 Canonical
#
# Written by Gustavo Niemeyer <gustavo@niemeyer.net>
#
# This file is part of the Xpresser GUI automation library.
#
# Xpresser is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3,
# as published by the Free Software Foundation.
#
# Xpresser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
import time

from gi.repository import Gtk as gtk
from xpresser import Xpresser


def display_screen_image():
    gtk_window = gtk.Window()
    gtk_image = gtk.Image.new_from_file("xpresser/tests/images/screen.png")
    gtk_image.show()
    gtk_window.add(gtk_image)
    gtk_window.show()
    while gtk.events_pending():
        gtk.main_iteration()
    time.sleep(1)
    while gtk.events_pending():
        gtk.main_iteration()
    gtk_window.connect("delete_event", lambda widget, data: gtk.main_quit())
    gtk_window.connect("destroy", lambda widget: gtk.main_quit())

def main():
    display_screen_image()

    xp = Xpresser()
    xp.load_images("xpresser/tests/images")

    print "Will hover over red circle..."
    xp.hover("red-circle")
    print "Done!"

    gtk.main()

if __name__ == "__main__":
    main()
